Subject: bug#11075: 24.0.94; Arabic character composition

From: Kenichi Handa <[email-masked]>
Date: Tue, 03 Apr 2012 11:27:37 +0900

In article <[email-masked]>, Eli Zaretskii <[email-masked]> writes:

> > I've tried, but haven't been successful... m17n-db can be installed, though
> > it requires downloading the charmaps and installing GNU/gettext because the
> > program msgfmt isn't part of OS X. (It's part of GNU/gettext but not of the
> > gettext that comes with OS X, it seems.)
> > 
> > Then, however, configuring m17n-lib failed with the following message:
> > 
> > autoreconf: running: aclocal --force -I m4
> > autoreconf: configure.ac: tracing
> > autoreconf: configure.ac: not using Libtool
> > autoreconf: running: /usr/local/Cellar/autoconf/2.68/bin/autoconf --force
> > configure.ac:52: error: possibly undefined macro: AC_PROG_LIBTOOL
> >       If this token and others are legitimate, please use m4_pattern_allow.
> >       See the Autoconf documentation.
> > autoreconf: /usr/local/Cellar/autoconf/2.68/bin/autoconf failed with exit status: 1
> > 
> > Since I have no idea what this is about, I stopped my attempts at
> > installation.

> Perhaps Handa-san (CC'ed) could help you out.

It seems that you don't have libtool.

By the way, as someone else wrote, the current OS X port
code doesn't support text shaping, which means, even if you
successfully installed m17n-lib and libotf, Emacs can't use
it.

---
Kenichi Handa
[email-masked]